Bug 97089 - upgrading foomatic overwrites cups config files
upgrading foomatic overwrites cups config files
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-printer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2003-06-10 04:48 EDT by Ivo
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.6.72-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-29 12:04:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ivo 2003-06-10 04:48:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030530

Description of problem:
the %post scection of foomatic runs a
   /usr/sbin/printconf-backend --force-rebuild
this will destroy any hand edited changes to /etc/cups/cupsd.conf
/etc/cups/printers.conf and custom edited ppd files in /etc/cups/ppd.
There's not even a backup of the original files.

We've been using cups since before its inclusion in redhat, thus all our cups
config files are hand written. For some printers we're using custom ppd files.
I've now deinstalled reshat-config-printer to ward against this happening again.

Possibly this bug should have been filed against redhat-config-printer or alchemist.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Upgrade foomatic: rpm -U foomatic-2.0.2-15.1.i386.rpm


Actual Results:  all changes to cups configuration files destroyed.
/etc/cupsd.conf and /etc/cups/printers.conf replaced by defaults. Extra ppd
files in /etc/cups/ppd deleted

Expected Results:  cups config files not generated by redhat-config-printer
should be left untouched. At the very least a backup of the origiinal config
file should have been generated.

Additional info:
Comment 1 Tim Waugh 2003-08-29 09:48:30 EDT
It ought to make a backup file I guess.

Note You need to log in before you can comment on or make changes to this bug.